! Programa que imprime os números pares de 0 até N
! e em seguida os números impares de 1 até N
program pares
	implicit none
    integer N, numero
    
    write(*, *) "Programa que imprime os numeros pares de 0 ate N"
    write(*, *) "e em seguida os numeros impares de 1 ate N"
    write(*, *)    
    write(*, *) "Digite o valor de N:"
    read (*, *) N

    write(*, *)
    write(*, *) "NUMEROS PARES: " 
    do numero = 0, N, 2
      write (*, *) numero
    end do

    write(*, *)
    write(*, *) "NUMEROS IMPARES: " 
    do numero = 1, N, 2
      write (*, *) numero
    end do 
          
    stop
end program pares
